Create a direct investment
POST
/portfolio/transactions/investmentsRecords a direct investment transaction against a Direct Investment asset, creating associated cash flows and issuing shares to the investor. If the investor does not yet exist in Horizon, a user record is created first.
Request body
application/json, required · PortfolioCreateInvestmentRequest
{
"asset_id": 1,
"investor_id": "string",
"date": "2026-06-12T10:00:00+00:00",
"number_of_shares_issued": 1,
"price_per_unit": 1,
"total_value": 1
}Responses
{
"data": {
"id": 1,
"type": "string",
"guid": "string",
"created_at": "string"
}
}422
Validation error
Examples
curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/transactions/investments\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"asset_id": 1,
"investor_id": "string",
"date": "2026-06-12T10:00:00+00:00",
"number_of_shares_issued": 1,
"price_per_unit": 1,
"total_value": 1
}'